replayEventsLast
Use the interface to replay last N events.
Director Plus
Request Mode
POST/GET http://ip/V1.0/replay/replayEventsLast?count=2&endPolicy=4×=2&timeInMin=0&transitionEffect=0&order=2
Request Data
| Parameter | Type | Description |
|---|---|---|
| count | int | The number of events to replay. When it is set to 0, it is regarded as replaying all events. |
| endPolicy | Int | End policy, 3: By replay duration, 4: By replay times |
| times | Int | Replay times, only taking effect when endPolicy is set to 4 |
| timeInMin | Int | Replay duration, non-essential parameter, in minutes, only taking effect when endPolicy is set to 3 |
| transitionEffect | Int | Transition effect. 0: Cut; 1: Fade |
| order | Int | Replay order. 0: Newest to oldest; 1: Oldest to newest |
Response Body
Director One / Director Mini
Request Mode
POST/GET http://ip/V1.0/replay/replayEventsLast?count=2&playStyle=1
Request Data
| Parameter | Type | Description |
|---|---|---|
| count | int | The number of events to replay. When it is set to 0, it is regarded as replaying all events. |
| playStyle | Int | Replay mode, non-essential parameter, which only taking effect for dual-camera replay, and the default value is -1 0: Cam 1 only 1: Cam 2 only 2: Cam 2 first, then Cam 2 3: Cam 2 first, then Cam 1 4: Side-by-side (Cam 1 & 2) 5: Side-by-side (Cam 2 & 1) |